com.aliyun.svideosdk.common.struct.effect

## Class TransitionShutter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.effect.TransitionBase
    - - com.aliyun.svideosdk.common.struct.effect.TransitionShutter

-     public class TransitionShutter
      extends TransitionBase

  Created by qdz on 2018/5/30.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mLineWidth` 百叶窗叶子宽度
    `protected int` | `mOrientation` 百叶窗叶子翻转布局

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.TransitionBase

      `DIRECTION_DOWN, DIRECTION_LEFT, DIRECTION_RIGHT, DIRECTION_UP, mCustomSource, mParamsString, mType, ORIENTATION_HORIZONTAL, ORIENTATION_VERTICAL, TRANSITION_TYPE_CIRCLE, TRANSITION_TYPE_CUSTOM, TRANSITION_TYPE_FADE, TRANSITION_TYPE_FIVEPOINTSTAR, TRANSITION_TYPE_SHUTTER, TRANSITION_TYPE_TRANSLATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitionShutter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getLineWidth()`
    `int` | `getOrientation()`
    `void` | `setLineWidth(float lineWidth)` 百叶窗叶子宽度，相对于输出窗口的宽高
    `void` | `setOrientation(int orientation)` 设置百叶窗翻转的方向，横向/纵向

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.TransitionBase

      `getCustomSource, getEffectConfig, getNodeTree, getOverlapDuration, setCustomSource, setEffectConfig, setOverlapDuration, setParamsString, toJsonString`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mLineWidth

          protected float mLineWidth

      百叶窗叶子宽度

    - #### mOrientation

          protected int mOrientation

      百叶窗叶子翻转布局

  - ### Constructor Detail

    - #### TransitionShutter

          public TransitionShutter()

  - ### Method Detail

    - #### getLineWidth

          public float getLineWidth()

    - #### setLineWidth

          public void setLineWidth(float lineWidth)

      百叶窗叶子宽度，相对于输出窗口的宽高
      Parameters:
        `lineWidth` - 相对值[0，1]

    - #### getOrientation

          public int getOrientation()

    - #### setOrientation

          public void setOrientation(int orientation)

      设置百叶窗翻转的方向，横向/纵向
      Parameters:
        `orientation` -
      See Also:
        `TransitionBase.ORIENTATION_HORIZONTAL`, `TransitionBase.ORIENTATION_VERTICAL`